Skip to main content

Remove a label from the order

DELETEhttps://carchost.fieldcontrol.com.br/orders/{id}/labels/{labelId}

Removes a label from the work order. The label is not deleted.

Requires the X-Api-Key and User-Agent headers. Limit: 1 request per second (learn more).

Request​

Path parameters

idstringrequired

Work order identifier.

Example: NDJiMWQ0YzQtOWNmOC00NWE2LTg2MjItYjNjNzZjZjk0MmM4OjIyOTE1.

labelIdstringrequired

Label identifier.

Example: Y2I4YTU2ZjAtNDQ1Ni00YjM5LTg4MTEtYjU1ZGJjNTQxYzA0OjIyOTE1.

Headers

User-Agentstringrequired

Identification of your application.

Example: MinhaIntegracao/1.0.

Responses

  • 204

    Removed. No body.

  • 401

    API key missing (Missing API Key) or invalid (Invalid API Key). See Authentication.

  • 403

    Account blocked (Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication.

  • 404

    Order does not exist or the label was not added to it. No body.

  • 422

    Invalid identifier in the path or one from another account (uriValidationErr), or invalid query parameter (parametersValidationErr). A valid identifier that does not exist returns 404.

  • 429

    Limit of 1 request per second exceeded. See Rate limit.

  • 500

    Unexpected server error.